AddSegmentPoint Method

Solution Partner Experimenter Solution Partner Experimenter
Solution Partner Experimenter

Hello~ 

 

i want to use the   SegmentPointRelation3d AddSegmentPoint..

please... help me..

how to use the AddSegmentPoint Method.?

 

thank 

 

Reference1 = (SolidEdgeFramework.Reference)assydoc1.CreateReference(partocc1, m_edge);
Reference2 = (SolidEdgeFramework.Reference)seactassydoc.CreateReference(assyocc1, Reference1);

 

//-----------------------------------------------------------------------------------------------------------------

 

 

 

SolidEdgeAssembly.SegmentPointRelation3d seSegmentPointRelation3d =
seSegmentRelations3d.AddSegmentPoint(seLineSegments.Item(3),
SolidEdgeAssembly.SegmentRelation3dGeometryConstants.seSegmentRelation3dEndPoint,
Reference2,
SolidEdgeAssembly.SegmentRelation3dGeometryConstants.seSegmentRelation3dEllipseCenter);
seactassydoc.UpdateAll();